
public class List {
	Elem head;
	int size;
	
	
	public void insert (int x){
		if (search(x)) return;
		Elem e = new Elem();
		e.key=x;
		e.next=head;
		head=e;	
		size++;
	}
	
	public boolean search (int x){
		Elem e = head;
		while (e!=null){
			if (e.key==x) return true;
			e=e.next;
		}
		return false;
	}
	
	public void delete (int x){
		Elem e = head;
		Elem pre=null;
		while (e!=null && e.key!=x){
			pre=e;
			e=e.next;
		}
		if (e!=null){
			size--;
			if (pre==null){
				head=e.next;
			} else {
				pre.next=e.next;
			}
		}
	}
	
	public String toString(){
		String s = "List["+size+"]: ";
		Elem e=head;
		for (int i=0;i<size;i++,e=e.next){
			s+=e.key;
			if (i<size-1) s+=", ";
		}
		return s;
	}

}
